Bug 815053 - User cron + Deluge error
User cron + Deluge error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 04:42 EDT by Misha Shnurapet
Modified: 2012-04-24 18:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 18:20:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system email (1.88 KB, application/mbox)
2012-04-22 04:42 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Misha Shnurapet 2012-04-22 04:42:31 EDT
Created attachment 579266 [details]
system email

I'm getting an error sent to the system mailbox (see the attachment).

Version-Release number of selected component:

deluge-gtk-1.3.3-2.fc17.noarch
deluge-daemon-1.3.3-2.fc17.noarch
deluge-images-1.3.3-2.fc17.noarch
deluge-web-1.3.3-2.fc17.noarch
deluge-console-1.3.3-2.fc17.noarch
deluge-common-1.3.3-2.fc17.noarch
cronie-anacron-1.4.8-11.fc17.x86_64
crontabs-1.11-3.20101115git.fc17.noarch
cronie-1.4.8-11.fc17.x86_64

Reproducible every 3 days or so.

Steps to Reproduce:
1. crontab -e
2. '@reboot deluged'
3. reboot
4. login and work as usual
  
Actual results: everything seems to work OK, but a message is sent to the user's system mailbox telling something's not right.
Comment 1 Calum 2012-04-24 18:20:26 EDT
You need to set the locale to utf8 for cron. 

See these links for more info:

http://www.logikdev.com/2010/02/02/locale-settings-for-your-cron-job/
http://fedoraproject.org/wiki/Features/PythonEncodingUsesSystemLocale

Note You need to log in before you can comment on or make changes to this bug.